<?php
//ini_set('display_error',1);
date_default_timezone_set('America/Lima');
session_start();
if($_SESSION["sistema"]== "1" || $_SESSION["sistema"]== "5" ){}else{ header("location: ../login/index.php"); exit();}


require_once ("../../config/Cado.php");
require_once ("../formatos/formato.php");
require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();
require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();

require_once ("../serviciopago/cServiciopago.php");
$oServiciopago = new cServiciopago();

require_once ("../configuracion/cConfiguracion.php");
$oConfiguracion = new cConfiguracion();

$y=date('Y');
$m=date('m');
$d=date('d');


if(isset($_SESSION['puntoventa_id'])){
	$dts=$oPuntoventa->mostrarUno($_SESSION['puntoventa_id']);
	$dt = mysqli_fetch_array($dts);
	$punven_nom=$dt['tb_puntoventa_nom'];
	$alm_id=$dt['tb_almacen_id'];
	$caj_id=$dt['tb_caja_id'];
	$imp_id=$dt['tb_impresora_id'];
	mysqli_free_result($dts);
}

if($imp_id>0)
{
	$dts=$oImpresora->mostrarUno($imp_id);
	$dt = mysqli_fetch_array($dts);
	$imp_nom =$dt['tb_impresora_nom'];
	$imp_nomloc =$dt['tb_impresora_nomloc'];
	$imp_ser =$dt['tb_impresora_ser'];
	$imp_url =$dt['tb_impresora_url'];
	$imp_ip =$dt['tb_impresora_ip'];
	mysqli_free_result($dts);
}

?>
<style type="text/css">
select{
	cursor:pointer;
}

</style>

<div class="container-fluid">
	<div class="row">
	
		<div class="col-lg-12 col-sm-12 col-xs-12" id="contenedor_base_venta" ></div>
		
	</div>
</div>
	
	<div class="modal fade" id="div_cliente_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_cliente_form"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
			<div class="modal fade" id="div_clientedireccion_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg "  role="document" >

			<div class="modal-content">

			<div class="modal-body div_clientedireccion_form" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			<div class="modal fade" id="div_clientealumno_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg "  role="document" >

			<div class="modal-content">

			<div class="modal-body div_clientealumno_form" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			

<script type="text/javascript">


	function ventapos_form(){
		
			/* $('#div_mensaje_dialog').modal('show');
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				
			$('.div_mensaje').html(div); */
				
			$.ajax({
				type: "POST",
				url: "../ventapos/ventapos_form_inicio.php",
				async:true,
				dataType: "html",                      
				data: ({
					action : "insertar"
				}),
				beforeSend: function() {
					//var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					//$('#contenedor_base_venta').html(div);
				},
				success: function(html){
					$('#contenedor_base_venta').html(html);				
				}
			});
		}
		

		
 function venta_ticket_datos(id_ven,imp){	
		
		/* alert(id_ven); */
		
		$.ajax({
			type: "POST",
			url: "../venta/venta_ticket_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: id_ven
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				 //console.log(data); 
				
				if(data!=""){					
					if(data.ven_docabr=="F" /* && data.cli_nom !='CLIENTE' */ ){
					generarFactura_xml(data,data.url_genfac,data.emp_ruc,data.ven_numdoc,id_ven,data.cli_id,imp);
					}else if(data.ven_docabr=="B" /* && data.cli_nom !='CLIENTE' */ ){
					generarBoleta_xml(data,data.url_genbol,data.emp_ruc,data.ven_numdoc,id_ven,data.cli_id,imp);
					}else if(data.ven_docabr=="T"){
						if(imp==1){
						venta_ticket_impresion(data,data.imp_doc);
						}
					}		
				}else{
					
				}
			}
		});
	
}


 function venta_ticket_datos_tabla(id_ven){	
		
		/* alert(id_ven); */
		
		$.ajax({
			type: "POST",
			url: "../venta/venta_ticket_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: id_ven
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				// console.log(data); 
				
				if(data!=""){					
					if(data.ven_docabr=="T"){
					venta_ticket_impresion(data,data.imp_doc);
					}		
				}else{
					
				}
			}
		});
	
}



function venta_ticket_impresion(data,url){	

	$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "html",                      
		data: data,
		beforeSend: function()
		{
			//console.log(data);	
		},
		success: function(html){
				
			
		}
	});
}

function generarFactura_xml(data,url,emp_ruc,ven_numdoc,id_ven,id_cli,imp){
		/* alert(url); */
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: data,
		beforeSend: function()
		{
			
		},
		success: function(data){
				/* alert(html); */
				//tip_com = '01';
		/* crear_xml(html,emp_ruc,ven_numdoc,tip_com,id_ven,id_cli); */
		firmar(data.url,data.arc,emp_ruc,ven_numdoc,data.tipcom,id_ven,id_cli,imp);
		}
	});

}

function generarBoleta_xml(data,url,emp_ruc,ven_numdoc,id_ven,id_cli,imp){
		/* alert(url); */
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: data,
		beforeSend: function()
		{
			
		},
		success: function(data){
			
 firmar(data.url,data.arc,emp_ruc,ven_numdoc,data.tipcom,id_ven,id_cli,imp);			
			/* alert(html); */
		//tip_com = '03';
		//crear_xml(html,emp_ruc,ven_numdoc,tip_com,id_ven,id_cli);
		}
	});

}

// function crear_xml(xml,emp_ruc,ven_numdoc,tip_com,id_ven,id_cli){
		// /* alert(url); */
		// $.ajax({
		// type: "POST",
		// url: '../../docgeneracion/crearxml.php',
		// async:true,
		// dataType: "json",                      
		// data: ({
			// xml : xml,
			// emp_ruc : emp_ruc,
			// ven_numdoc : ven_numdoc,
			// tip_com : tip_com,
		// }),
		// beforeSend: function()
		// {
			
		// },
		// success: function(data){
		
			// firmar(data.url,data.arc,emp_ruc,ven_numdoc,data.tipcom,id_ven,id_cli);
				
		// }
	// });

// }

function firmar(url,arc,emp_ruc,ven_numdoc,tipcom,id_ven,id_cli,imp){
		/* alert(url); */
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: ({
			arc : arc,
			emp_ruc : emp_ruc,
			ven_numdoc:ven_numdoc,
			tipcom:tipcom,
			venid:id_ven
		}),
		beforeSend: function()
		{
			
		},
		success: function(data){			
			generar_pdf(id_ven);
			//generarPDF417(data);
			if(imp==1){
				traer_datos_doc(id_ven,data.fil_name_xml);
			}
			enviarSunat(data.xml_nom,data.fil_name_zip,data.fil_name_xml,data.filenom,id_ven,id_cli,tipcom);
			
				
			
		}
	});

}


function traer_datos_doc(venid,urlxml){
	
	
	
	$.ajax({
			type: "POST",
			url: "../venta/venta_doc_datos.php",
			async:true,
			dataType: "json",                      
			data:({ 
			venid: venid,
			urlxml :urlxml
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				/* console.log(data); */
			
			//generarPDF417(data);
			
			
			venta_doc_impresion(data,data.imp_doc);

			/* if(data.cli_ema==""){
				
			}else{
				act ="enviar";
				enviarCorreo(data);
			}	 */	
			
			}
		});
	
}



function venta_doc_impresion(data,url){
	$.ajax({
			type: "POST",
			url: url,
			async:true,
			dataType: "json",                      
			data: data ,
			beforeSend: function() {
				//console.log(data);
			},
			success: function(data){
				
				
			}
		});
}


function enviarSunat(nomxml,fil_name_zip,fil_name_xml,filenom,id_ven,id_cli,tipcom){
		$.ajax({
		type: "POST",
		url: '../../docgeneracion/enviosunat.php',
		async:true,
		dataType: "json",                      
		data: ({
			nomxml:nomxml,
			name_zip:fil_name_zip,
			nomfile:filenom,
			id_ven:id_ven,
			xmlarchivo:fil_name_xml,
			tipcom:tipcom
		}),
		beforeSend: function()
		{
			toastr["error"]('Esperando respuesta de sunat');
		},
		success: function(data){
			
			toastr["success"](data.msj);
			
			if(data.est==1){
				//enviarCorreo(id_ven,id_cli);
				
				//abrirEnPestana('="../../../../files/venta/venta_impcpe_doc.php?venid='+id_ven);
				venta_tabla();
			}else{
				toastr["info"]('El documento no se ha emitido.');
			}
			
		}
	});

}

		
$(function() {
	
	
	
	ventapos_form();
		
		
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../ventapos/ventapos_vista.php");
	});
	
	
	
	$("#div_ventapos_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	$("#div_ventapos_correo_form").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	
	$("#div_ventapos_form_dialog_vista").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	
	$("#div_ventaposfac_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	
	$("#div_guia_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	
	$("#div_pago_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	
	
			$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
			$('body').css('padding-right','0px');
			});
	
	
	
	$('#div_ventapos_form_dialog').on('shown.bs.modal', function () { $("#txt_bus_pro_codbar").focus(); }); 


	setTitle("MODULO DE POS VENTAS - "+nombreEmpresa);	
	
}); 

</script>
